import React from 'react'
import PropTypes from 'prop-types'
import Button from './Button'
import styled from 'styled-components'

const HoverHold = styled.div`
    padding: 1em 1em 1em 0;
    width: 100%;
    border-bottom: 1px solid var(--frame);
    transition: border .3s;
    &:hover {
        border-bottom: 1px solid var(--primary);
    }
`

function Tabs ({ options = [] }) {
  const renderOptions = () => {
    return options.map(({ label }, index) => (
        <HoverHold key={index}>
                <Button type="invisible">
                    {label}
                </Button>
        </HoverHold>
    ))
  }

  const flexed = {
    display: 'flex',
    width: '100%'
  }
  return (
    <>
        <div style={flexed}>
            {renderOptions()}
        </div>
    </>
  )
}

Tabs.propTypes = {
  options: PropTypes.array
}

export default Tabs
