import { createGlobalStyle } from 'styled-components'
import './fonts/style.css'

const GlobalStyle = createGlobalStyle`
  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  body, html {
    font-family: 'PublicSans';
    font-size: 16px;
  }

  :root {
    --naval: #062AA7;
    --primary: #204EF0;
    --firmament: #DBEAFF;
    --clear: #EDF5FF;

    --slate: #1E2033;
    --steel: #39435B;
    --frame: #E7EAEE;

    --royal: #372989;
    --orchid: #DBD7F8;
    --satin: #F1EEFC;
    --gleam: #F9FBFE;

    --error: #B44C3E;
    --coral: #ED9C91;
    --valentine: #F6CDC7;
    --smartie: #FAE5E2;

    --groto: #6C8F73;
    --clover: #9CD1A8;
    --lichen: #BFDFC6;
    --seafoam: #E4F2E7;

    --zest: #F2ECB7;

  }

  h1 {
    font-size: 3.4em;
  }

  h2 {
    font-size: 2.8em;
  }

  h3 {
    font-size: 2.2em;
  }

  h4 {
    font-size: 1.6em;
  }

  h5 {
    font-size: 1em;
  }

  p {
    font-size: 1em;
    color: var(--steel);
    font-weight: 200;
    line-height: 140%;
  }

  code {
    font-family: 'SpaceMono';
    color: var(--clover);
    background-color: var(--slate);
    font-size: 0.8em;
    padding: 0.1em 1em 0.1em 1em;
    border-radius: 0.2em;
  }

  .baskerville {
    font-family: 'LibreBaskerville';
    font-size: 0.9em;
  }

  .baskervilleHeadline {
    font-family: 'LibreBaskerville';
    font-size: 2em;
  }

  kbd {
    font-family: 'SpaceMono';
    color: var(--primary);
    background-color: var(--firmament);
    font-size: 0.8em;
    padding: 0.1em 1em 0.1em 1em;
    border-radius: 0.2em;
  }

  mark {
    color: var(--royal);
    background-color: var(--orchid);
    padding: 0.1em 1em 0.1em 1em;
    border-radius: 0.2em;
    font-weight: 200;
  }
  
  a {
    color: var(--primary);
    text-decoration: underline;
    font-weight: 200;
  }

  .formSmall {
    text-transform: uppercase;
    font-size: 0.75em;
  }

  .errorSmall {
    text-transform: uppercase;
    font-size: 0.75em;
    color: var(--coral);
    margin-top: 0.5em;
  }
`

export default GlobalStyle
